<?php

/**
 * @file
 * Contains \Drupal\cforge_latest\Plugin\QueueWorker\Latest.
 */

namespace Drupal\cforge_latest\Plugin\QueueWorker;

use Drupal\Core\Queue\QueueWorkerBase;

/**
 * Updates a feed's items.
 *
 * @QueueWorker(
 *   id = "cforge_latest",
 *   title = @Translation("Mail the user changes since the given date"),
 *   cron = {"time" = 60}
 * )
 */
class Latest extends QueueWorkerBase {

  /**
   * {@inheritdoc}
   */
  public function processItem($data) {
    $uid = $data['uid'];
    $last_sent = $data['last'];
    $account = User::load($uid);
    \Drupal::service('plugin.manager.mail')
      ->mail('cforge_latest',
        'latest',
        $account->getEmail(),
        $account->getPreferredLangcode(),
        [
          'since' => $last_sent,
          'user' => $account//just in case
        ]
      );
  }

}
