<?php

/**
 * @file
 * Contains \Drupal\defaultcontent\Export.
 */

namespace Drupal\defaultcontent;

use Drupal\Core\Entity\EntityForm;
use Drupal\node\Entity\Node;
use Symfony\Component\HttpFoundation\Response;
use Drupal\Core\Form\FormStateInterface;

/**
 * Converts a node to a config entity and shows it on screen
 * We use the EntityForm here because it is an easy way to get the node from the routing system
 */
class Export extends EntityForm {
  
  function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state) {
    $entity = $form_state->getFormObject()->getEntity();
    
    $entities = \Drupal::service('defaultcontent.manager')
      ->exportContentWithReferences($entity->getEntityTypeId(), $entity->id());
    
    $headers = [
      'Content-Type' => 'application/octet-stream',
      'Content-Length' => strlen($content),
      'Content-Disposition' =>  'attachment; filename='.$node->getUuid().'.json'
    ];
    $response = new Response($content, 200, $headers);
    $response->send();    
  }

  
}
